aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-opie/opie-batteryapplet
diff options
context:
space:
mode:
authorPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-24 17:57:24 +0100
committerPaul Eggleton <paul.eggleton@linux.intel.com>2011-07-30 02:35:12 +0100
commite9b45ff67d32fdc27950a51135b6dabada8334e7 (patch)
treede99cd760c8292ee1dd334e23e1e5cc43e90dfbd /recipes-opie/opie-batteryapplet
downloadmeta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.gz
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.tar.bz2
meta-opie-e9b45ff67d32fdc27950a51135b6dabada8334e7.zip
initial commit of meta-opie
Populate the repository with files from OpenEmbedded at revision 45edf621296daf150c72b876d720861235e5762e - no changes, only rearranged the directory structure to match the new oe-core style and added COPYING.MIT and README. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com>
Diffstat (limited to 'recipes-opie/opie-batteryapplet')
-rw-r--r--recipes-opie/opie-batteryapplet/opie-batteryapplet.inc31
-rw-r--r--recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb13
-rw-r--r--recipes-opie/opie-batteryapplet/opie-batteryapplet_cvs.bb8
3 files changed, 52 insertions, 0 deletions
diff --git a/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc b/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc
new file mode 100644
index 0000000..10b6e90
--- /dev/null
+++ b/recipes-opie/opie-batteryapplet/opie-batteryapplet.inc
@@ -0,0 +1,31 @@
+DESCRIPTION = "Battery Monitor applet"
+SECTION = "opie/applets"
+PRIORITY = "optional"
+LICENSE = "GPL"
+APPNAME = "batteryapplet"
+
+
+S = "${WORKDIR}/${APPNAME}"
+
+inherit opie
+
+pkg_postinst() {
+#!/bin/sh
+if [ -n "$D" ]; then exit 1; fi
+if pidof -s qpe >/dev/null; then
+ ${bindir}/qcop QPE/TaskBar "reloadApplets()"
+else
+ exit 0
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh
+${bindir}/qcop QPE/TaskBar "reloadApplets()"
+ if [ -n "$D" ]; then false; fi
+}
+
+# FILES plugins/applets/libbatteryapplet.so*
+do_install() {
+}
+
diff --git a/recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb b/recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb
new file mode 100644
index 0000000..fa23199
--- /dev/null
+++ b/recipes-opie/opie-batteryapplet/opie-batteryapplet_1.2.5.bb
@@ -0,0 +1,13 @@
+require ${PN}.inc
+
+PR = "r0"
+
+SRC_URI = "http://sources.openembedded.org/opie-1.2.5-split_core_applets_batteryapplet.tar.bz2;name=split_core_applets_batteryapplet \
+ http://sources.openembedded.org/opie-1.2.5-split_pics.tar.bz2;name=split_pics \
+ http://sources.openembedded.org/opie-1.2.5-split_apps.tar.bz2;name=split_apps"
+SRC_URI[split_core_applets_batteryapplet.md5sum] = "995a40e095913e01614834c82733eff0"
+SRC_URI[split_core_applets_batteryapplet.sha256sum] = "1cab9929c81a3618cb4eeb43864c42f21d1c409819404ba3224382ba77bf4692"
+SRC_URI[split_pics.md5sum] = "e9b68749d67295f7080a23e39b17335e"
+SRC_URI[split_pics.sha256sum] = "0a7aab6d0bce04d6a9c257d768d8a1a481d38ba527d6e6e50723973789954b4a"
+SRC_URI[split_apps.md5sum] = "c765d13427e4dc8ee396e4dfed2dbe73"
+SRC_URI[split_apps.sha256sum] = "0fea454d8d286f7febc7449e4a06f73e941e8b22e9bab904a32e57f35479862a"
diff --git a/recipes-opie/opie-batteryapplet/opie-batteryapplet_cvs.bb b/recipes-opie/opie-batteryapplet/opie-batteryapplet_cvs.bb
new file mode 100644
index 0000000..c17d104
--- /dev/null
+++ b/recipes-opie/opie-batteryapplet/opie-batteryapplet_cvs.bb
@@ -0,0 +1,8 @@
+require ${PN}.inc
+
+PV = "${OPIE_GIT_PV}"
+PR = "r1"
+
+SRC_URI = "${OPIE_GIT};protocol=git;subpath=core/applets/batteryapplet \
+ ${OPIE_GIT};protocol=git;subpath=pics \
+ ${OPIE_GIT};protocol=git;subpath=apps"